﻿/**
 * CMIInteger
 * 
 * An integer number from 0 to 65536.
 *
 * $Project: CLX.WBT-Tracker$
 * $Date: 16.02.2010 09:46:25$ 
 * $Revision: 4$
 *
 * @package    	clx.scorm.datatype
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Andreas Häberli <andreas.haeberli@crealogix.com>
 * @version		$Id: CMIInteger.js,v 1.1.1.1, 2010-02-16 08:46:25Z, Reto Infanger$
 */
 
dojo.provide('clx.scorm.datatype.CMIInteger');
dojo.declare('clx.scorm.datatype.CMIInteger',null,{
	
	constructor: function() {		
	},
	
	/*
	 * isValid
	 * 
	 * @param string value
	 * @return boolean
	 */
	isValid:function(value) {
		if(!isNaN(value)) {
			if(value >= 0 && value <=65536) {
				return true;
			}
		}
		return false;	
	},

	/*
	 * Filter
	 * 
	 * @param string value
	 * @return string
	 */	
	filter:function(value) {
		return value; 	
	}
});