﻿/**
 * CMIVocabularyCredit
 * 
 * Vocabulary words must be complete and exact matches to those below.
 * Single letters and abbreviations may not be used in API communication.  
 * Credit:
 * - "credit"
 * - "no-credit"
 *
 * $Project: CLX.WBT-Tracker$
 * $Date: 21.12.2009 16:24:18$ 
 * $Revision: 3$
 *
 * @package    	clx.scorm.datatype
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Andreas Häberli <andreas.haeberli@crealogix.com>
 * @version		$Id: CMIVocabularyCredit.js,v 1.1.1.0, 2009-12-21 15:24:18Z, Andreas Haeberli$
 */
 
dojo.provide('clx.scorm.datatype.CMIVocabularyCredit');
dojo.declare('clx.scorm.datatype.CMIVocabularyCredit',null,{
	
	constructor: function() {		
	},
	
	/*
	 * isValid
	 * 
	 * @param string value
	 * @return boolean
	 */
	isValid:function(value) {
		switch (value) {
			case 'credit':
			case 'no-credit':
		  		return true;
		  	default:
		  		return false;
		} 	
	},

	/*
	 * Filter
	 * 
	 * @param string value
	 * @return string
	 */		
	filter:function(value) {
		return value; 	
	}
});