﻿/**
 * CYP Addon
 * 
 * Enables a learning object send CYP-Events to the App
 * 
 * $Project: CLX.WBT-Tracker$
 * $Date: 12.07.2011 17:21:37$ 
 * $Revision: 7$
 *
 * @package    	clx.scorm.addon
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Daniel Tiefenauer
 * @version		$Id: Api.js,v 1.2.1.2.1.0, 2011-07-12 15:21:37Z, Andreas Haeberli$
 */

dojo.require('clx.scorm.addon.Abstract');
dojo.provide('clx.scorm.addon.CYP');
dojo.declare('clx.scorm.addon.CYP', clx.scorm.addon.Abstract,{
	
	constructor : function(adapter) {
		this._adapter = adapter;
		this.inherited("constructor", arguments);
	},
	
	LMSEvent : function(eventName, eventValue){
		this._adapter.LMSEvent(eventName, eventValue);
	}

}); 