﻿/**
 * Command
 *
 * $Project: CLX.WBT-Tracker$
 * $Date: 12.07.2011 17:21:37$ 
 * $Revision: 5$
 *
 * @package    	clx.scorm.addon.cyp.air.bridge
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Reto Infanger <reto.infanger@crealogix.com>
 * @version		$Id: Error.js,v 1.2.1.0.1.0, 2011-07-12 15:21:37Z, Andreas Haeberli$
 */
 
dojo.provide('clx.scorm.addon.cyp.air.bridge.Command');
dojo.declare('clx.scorm.addon.cyp.air.bridge.Command',null,{
	
	/*
	 * constructor
	 * 
	 */		
	constructor: function(caller, lmsEvent, callbackFunction, request) {		
		this._caller = caller;	
		this._lmsEvent = lmsEvent;
		this._callbackFunction = callbackFunction;
		this._request = request;
	},
		
	/*
	 * GetCaller
	 * 
	 * @return Object
	 */		
	getCaller:function() {
		return this._caller;
	},
		
	/*
	 * GetLmsEvent
	 * 
	 * @return String
	 */		
	getLmsEvent:function() {
		return this._lmsEvent;
	},
	
	/*
	 * getCallbackFunction
	 * 
	 * @return Function
	 */		
	getCallbackFunction:function() {
		return this._callbackFunction;
	},
	
	/*
	 * getRequest
	 * 
	 * @return String
	 */		
	getRequest:function() {
		return this._request;
	}
});