﻿/**
 * Abstract
 * 
 * This is the HTTP Adapter for the sco addon.
 * 
 * $Project: CLX.WBT-Tracker$
 * $Date: 12.07.2011 17:21:37$ 
 * $Revision: 7$
 *
 * @package    	clx.scorm.addon.sco.adapter
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Kelvin Louis
 * @version		$Id: Api.js,v 1.2.1.2.1.0, 2011-07-12 15:21:37Z, Andreas Haeberli$
 */

dojo.provide('clx.scorm.addon.sco.adapter.Abstract');
dojo.declare('clx.scorm.addon.sco.adapter.Abstract',null,{
	
	constructor : function() {
		this._api = null;
	},
	
	register : function(api){
		this._api = api;
	},
	
	LMSLaunchSco : function(sconame){

	},
	
	LMSGetScoLaunchUrl : function(sconame){

	},

	LMSCloseSco : function(){

	}
});