﻿/**
 * CMIIdentifier
 * 
 * An alphanumeric group of characters with no white space or unprintable characters in it.
 * Maximum of 255 characters.
 *
 * $Project: CLX.WBT-Tracker$
 * $Date: 21.12.2009 16:24:18$ 
 * $Revision: 4$
 *
 * @package    	clx.scorm.datatype
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Andreas Häberli <andreas.haeberli@crealogix.com>
 * @version		$Id: CMIIdentifier.js,v 1.2.1.0, 2009-12-21 15:24:18Z, Andreas Haeberli$
 */
 
dojo.provide('clx.scorm.datatype.CMIIdentifier');
dojo.declare('clx.scorm.datatype.CMIIdentifier',null,{

	/*
	 * Construct
	 * 
	 * @return void
	 */	
	constructor: function() {		
	},
	
	/*
	 * isValid
	 * 
	 * @param string value
	 * @return boolean
	 */
	isValid:function(value) {
		if(value.length <= 255 && !(new RegExp(/\s/).test(value))) {
			return true; 
		} else {
			return false;
		} 	
	},

	/*
	 * Filter
	 * 
	 * @param string value
	 * @return string
	 */	
	filter:function(value) {
		return value; 	
	}
});