﻿/**
 * CMIString65536
 * 
 * A set of ASCII characters with a maximum length of 65536 characters
 *
 * $Project: CLX.WBT-Tracker$
 * $Date: 21.12.2009 16:24:18$ 
 * $Revision: 4$
 *
 * @package    	clx.scorm.datatype
 * @copyright  	Copyright (c) Crealogix AG
 * @link		www.crealogix.com
 * @since       1.0.0
 * @author      Reto Infanger <reto.infanger@crealogix.com>
 * @version		$Id: CMIString4096.js,v 1.2.1.0, 2009-12-21 15:24:18Z, Andreas Haeberli$
 */
 
dojo.provide('clx.scorm.datatype.CMIString65536');
dojo.declare('clx.scorm.datatype.CMIString65536',null,{
	
	constructor: function() {		
	},
	
	/*
	 * isValid
	 * 
	 * @param string value
	 * @return boolean
	 */
	isValid:function(value) {
		if(value.length <= 65536) {
			return true; 
		} else {
			return false;
		} 	
	},

	/*
	 * Filter
	 * 
	 * @param string value
	 * @return string
	 */		
	filter:function(value) {
		return value; 	
	}
});